Reenviar callbacks em lote
Reprocesse de uma vez os avisos de todas as transações que baterem com os filtros que você escolher.
Autorização
BearerAuth AutorizaçãoBearer <token>
Em: header
Corpo da requisição
application/json
Definições TypeScript
Use o tipo request body no TypeScript.
Corpo da resposta
application/json
application/json
application/json
curl --request POST \ --url 'https://api.payzu.processamento.com/v1/user/callbacks/resend' \ --header 'Authorization: Bearer $PAYZU_TOKEN' \ --header 'Content-Type: application/json' \ --data '{ "createdAtFrom": "2026-08-05T00:00:00Z", "createdAtTo": "2026-08-11T23:59:59Z", "transactionIds": [ "PAYZU2025081418333632CYKN8M" ], "transactionTypes": [ "DEPOSIT" ], "transactionStatus": [ "PENDING" ], "transactionEndToEndIds": [ "E12345678202608121200ABCDEFGHIJK" ]}'const url = 'https://api.payzu.processamento.com/v1/user/callbacks/resend';const response = await fetch(url, { method: 'POST', headers: { Authorization: `Bearer ${process.env.PAYZU_TOKEN}`, 'Content-Type': 'application/json', }, body: JSON.stringify({ createdAtFrom: '2026-08-05T00:00:00Z', createdAtTo: '2026-08-11T23:59:59Z', transactionIds: [ 'PAYZU2025081418333632CYKN8M' ], transactionTypes: [ 'DEPOSIT' ], transactionStatus: [ 'PENDING' ], transactionEndToEndIds: [ 'E12345678202608121200ABCDEFGHIJK' ] }),});const data = await response.json();console.log(data);import osimport requestsresponse = requests.post( 'https://api.payzu.processamento.com/v1/user/callbacks/resend', headers={ 'Authorization': f'Bearer {os.environ["PAYZU_TOKEN"]}', 'Content-Type': 'application/json', }, json={ 'createdAtFrom': '2026-08-05T00:00:00Z', 'createdAtTo': '2026-08-11T23:59:59Z', 'transactionIds': [ 'PAYZU2025081418333632CYKN8M' ], 'transactionTypes': [ 'DEPOSIT' ], 'transactionStatus': [ 'PENDING' ], 'transactionEndToEndIds': [ 'E12345678202608121200ABCDEFGHIJK' ] },)print(response.json()){
"message": "Callbacks reenviados com sucesso",
"total": 42
}